#ifndef __ARVO_EVENTHANDLER_H__
#define __ARVO_EVENTHANDLER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_eventhandler_plugin.h"

G_BEGIN_DECLS

#define ARVO_EVENTHANDLER_TYPE (arvo_eventhandler_get_type())
#define ARVO_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ARVO_EVENTHANDLER_TYPE, ArvoEventhandler))
#define IS_ARVO_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ARVO_EVENTHANDLER_TYPE))

typedef struct _ArvoEventhandler ArvoEventhandler;
typedef struct _ArvoEventhandlerPrivate ArvoEventhandlerPrivate;

struct _ArvoEventhandler {
	GObject parent;
	ArvoEventhandlerPrivate *priv;
};

GType arvo_eventhandler_get_type(void);
GObject *arvo_eventhandler_new(RoccatEventhandlerHost *host);

G_END_DECLS

#endif
