# Stefan Achatz 2012
#
# Tries to find libusb and sets following variables according to found capabilities:
#
# USB1_FOUND
# USB1_INCLUDE_DIRS
# USB1_LIBRARIES

FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(PKG_USB1 libusb-1.0)

FIND_PATH(USB1_INCLUDE_DIRS libusb.h
  HINTS
    ${PKG_USB1_INCLUDE_DIRS}
    ${PKG_USB1_INCLUDEDIR}
)

FIND_LIBRARY(USB1_LIBRARIES usb-1.0
  HINTS ${PKG_USB1_LIBRARY_DIRS}
)

IF(USB1_LIBRARIES AND USB1_INCLUDE_DIRS)
  SET(USB1_FOUND true)
ENDIF()

IF(USB1_FIND_REQUIRED AND NOT USB1_FOUND)
  MESSAGE(FATAL_ERROR "Could not find USB1")
ENDIF()
