/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "isku.h"
#include "roccat_device_sysfs.h"
#include <string.h>

static gchar const * const control_name = "control";

gboolean isku_select(RoccatDevice *isku, guint profile_number, guint request, GError **error) {
	IskuControl control;

	g_assert(profile_number < ISKU_PROFILE_NUM);

	control.command = ISKU_COMMAND_CONTROL;
	control.value = profile_number;
	control.request = request;

	return roccat_device_sysfs_write(isku, control_name, (gchar const *)&control, sizeof(IskuControl), error);
}
