#ifndef __ISKUFX_EVENTHANDLER_H__
#define __ISKUFX_EVENTHANDLER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_eventhandler_plugin.h"

G_BEGIN_DECLS

#define ISKUFX_EVENTHANDLER_TYPE (iskufx_eventhandler_get_type())
#define ISKUFX_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), ISKUFX_EVENTHANDLER_TYPE, IskufxEventhandler))
#define IS_ISKUFX_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), ISKUFX_EVENTHANDLER_TYPE))

typedef struct _IskufxEventhandler IskufxEventhandler;
typedef struct _IskufxEventhandlerPrivate IskufxEventhandlerPrivate;

struct _IskufxEventhandler {
	GObject parent;
	IskufxEventhandlerPrivate *priv;
};

GType iskufx_eventhandler_get_type(void);
GObject *iskufx_eventhandler_new(RoccatEventhandlerHost *host);

G_END_DECLS

#endif
