#ifndef __KONEPLUS_SENSITIVITY_SELECTOR_H__
#define __KONEPLUS_SENSITIVITY_SELECTOR_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "koneplus.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define KONEPLUS_SENSITIVITY_SELECTOR_TYPE (koneplus_sensitivity_selector_get_type())
#define KONEPLUS_SENSITIVITY_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), KONEPLUS_SENSITIVITY_SELECTOR_TYPE, KoneplusSensitivitySelector))
#define IS_KONEPLUS_SENSITIVITY_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), KONEPLUS_SENSITIVITY_SELECTOR_TYPE))

typedef struct _KoneplusSensitivitySelector KoneplusSensitivitySelector;

GType koneplus_sensitivity_selector_get_type(void);
GtkWidget *koneplus_sensitivity_selector_new(void);

void koneplus_sensitivity_selector_set_from_rmp(KoneplusSensitivitySelector *selector, KoneplusRmp *rmp);
void koneplus_sensitivity_selector_update_rmp(KoneplusSensitivitySelector *selector, KoneplusRmp *rmp);

G_END_DECLS

#endif
