/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "konepuremilitary.h"
#include "roccat_device_hidraw.h"
#include <linux/hid.h>

static gchar const * const driver_name = "hidraw";
static guint const device_ids[2] = { USB_DEVICE_ID_ROCCAT_KONEPURE_MILITARY, 0 };

RoccatDevice *konepuremilitary_device_first(void) {
	return roccat_device_first(driver_name, device_ids, USB_INTERFACE_PROTOCOL_MOUSE);
}

RoccatDeviceScanner *konepuremilitary_device_scanner_new(void) {
	return roccat_device_scanner_new(driver_name, device_ids, USB_INTERFACE_PROTOCOL_MOUSE);
}

gchar *konepuremilitary_device_read(RoccatDevice *roccat_device, guint command, gssize length, GError **error) {
	return roccat_device_hidraw_read(roccat_device, command, length, error);
}

gboolean konepuremilitary_device_write(RoccatDevice *roccat_device, gchar const *buffer, gssize length, GError **error) {
	gboolean retval;

	retval = roccat_device_hidraw_write(roccat_device, buffer, length, error);
	if (!retval)
		return FALSE;

	return konepuremilitary_check_write(roccat_device, error);
}
