#ifndef __KOVAPLUS_EVENTHANDLER_H__
#define __KOVAPLUS_EVENTHANDLER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_eventhandler_plugin.h"

G_BEGIN_DECLS

#define KOVAPLUS_EVENTHANDLER_TYPE (kovaplus_eventhandler_get_type())
#define KOVAPLUS_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), KOVAPLUS_EVENTHANDLER_TYPE, KovaplusEventhandler))
#define IS_KOVAPLUS_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), KOVAPLUS_EVENTHANDLER_TYPE))

typedef struct _KovaplusEventhandler KovaplusEventhandler;
typedef struct _KovaplusEventhandlerPrivate KovaplusEventhandlerPrivate;

struct _KovaplusEventhandler {
	GObject parent;
	KovaplusEventhandlerPrivate *priv;
};

GType kovaplus_eventhandler_get_type(void);
GObject *kovaplus_eventhandler_new(RoccatEventhandlerHost *host);

G_END_DECLS

#endif
