#ifndef __ROCCAT_OSD_NOTE_H__
#define __ROCCAT_OSD_NOTE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_notificator.h"

G_BEGIN_DECLS

typedef struct _RoccatOsdNote RoccatOsdNote;

/*!
 * It's no error if notify_is_initted, but nothing happens then.
 */
RoccatOsdNote *roccat_osd_note_new(RoccatNotificator *notificator, gint timeout);
void roccat_osd_note_free(RoccatOsdNote *note);

/*!
 * \brief updates and shows the note
 */
gboolean roccat_osd_note_update(RoccatOsdNote *note, gchar const *format, ...);
gboolean roccat_osd_note_update_v(RoccatOsdNote *note, gchar const *format, va_list args);
void roccat_osd_note_close(RoccatOsdNote *note);

G_END_DECLS

#endif
