#ifndef __PYRA_EVENTHANDLER_H__
#define __PYRA_EVENTHANDLER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_eventhandler_plugin.h"

G_BEGIN_DECLS

#define PYRA_EVENTHANDLER_TYPE (pyra_eventhandler_get_type())
#define PYRA_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), PYRA_EVENTHANDLER_TYPE, PyraEventhandler))
#define IS_PYRA_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), PYRA_EVENTHANDLER_TYPE))

typedef struct _PyraEventhandler PyraEventhandler;
typedef struct _PyraEventhandlerPrivate PyraEventhandlerPrivate;

struct _PyraEventhandler {
	GObject parent;
	PyraEventhandlerPrivate *priv;
};

GType pyra_eventhandler_get_type(void);
GObject *pyra_eventhandler_new(RoccatEventhandlerHost *host);

G_END_DECLS

#endif
