#ifndef __ROCCAT_RYOS_FIRMWARE_UPDATE_H__
#define __ROCCAT_RYOS_FIRMWARE_UPDATE_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_device.h"

G_BEGIN_DECLS

typedef struct _RyosFirmwareWrite RyosFirmwareWrite;

enum {
	RYOS_FIRMWARE_SIZE = 56844,
	RYOS_FIRMWARE_CHUNKS = 56,
	RYOS_FIRMWARE_CHUNK_SIZE = 1024,
};

struct _RyosFirmwareWrite {
	guint8 command; /* RYOS_COMMAND_FIRMWARE_WRITE */
	guint8 type;
	guint8 data[RYOS_FIRMWARE_CHUNK_SIZE];
} __attribute__ ((packed));

typedef enum {
	RYOS_FIRMWARE_WRITE_TYPE_0 = 0x00,
	RYOS_FIRMWARE_WRITE_TYPE_1 = 0x01,
	RYOS_FIRMWARE_WRITE_TYPE_2 = 0x02,
	RYOS_FIRMWARE_WRITE_TYPE_3 = 0x03,
	RYOS_FIRMWARE_WRITE_TYPE_4 = 0x04,
	RYOS_FIRMWARE_WRITE_TYPE_F = 0x0f,
} RyosFirmwareWriteType;

gboolean ryos_firmware_write_0(RoccatDevice *roccat_device, GError **error);
gboolean ryos_firmware_write_1(RoccatDevice *roccat_device, GError **error);
gboolean ryos_firmware_write_2(RoccatDevice *roccat_device, GError **error);
gboolean ryos_firmware_write_3(RoccatDevice *roccat_device, guint16 number, guint8 const *chunk, GError **error);
gboolean ryos_firmware_write_4(RoccatDevice *roccat_device, guint8 const *chunk, GError **error);
gboolean ryos_firmware_write_f(RoccatDevice *roccat_device, GError **error);

G_END_DECLS

#endif
