#ifndef __RYOS_EVENTHANDLER_H__
#define __RYOS_EVENTHANDLER_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "roccat_eventhandler_plugin.h"

G_BEGIN_DECLS

#define RYOS_EVENTHANDLER_TYPE (ryos_eventhandler_get_type())
#define RYOS_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOS_EVENTHANDLER_TYPE, RyosEventhandler))
#define IS_RYOS_EVENTHANDLER(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOS_EVENTHANDLER_TYPE))

typedef struct _RyosEventhandler RyosEventhandler;
typedef struct _RyosEventhandlerPrivate RyosEventhandlerPrivate;

struct _RyosEventhandler {
	GObject parent;
	RyosEventhandlerPrivate *priv;
};

GType ryos_eventhandler_get_type(void);
GObject *ryos_eventhandler_new(RoccatEventhandlerHost *host);

G_END_DECLS

#endif
