#ifndef __RYOSCONFIG_CAPSLOCK_SELECTOR_H__
#define __RYOSCONFIG_CAPSLOCK_SELECTOR_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "ryosconfig_key_combo_box.h"

G_BEGIN_DECLS

#define RYOSCONFIG_CAPSLOCK_SELECTOR_TYPE (ryosconfig_capslock_selector_get_type())
#define RYOSCONFIG_CAPSLOCK_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOSCONFIG_CAPSLOCK_SELECTOR_TYPE, RyosconfigCapslockSelector))
#define IS_RYOSCONFIG_CAPSLOCK_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOSCONFIG_CAPSLOCK_SELECTOR_TYPE))

typedef struct _RyosconfigCapslockSelector RyosconfigCapslockSelector;

GType ryosconfig_capslock_selector_get_type(void);
GtkWidget *ryosconfig_capslock_selector_new(RyosconfigKeyComboBoxData *basepointer);

void ryosconfig_capslock_selector_set_index(RyosconfigCapslockSelector *selector, gint index, guint mask, guint standard);
gint ryosconfig_capslock_selector_get_index(RyosconfigCapslockSelector *selector);

void ryosconfig_capslock_selector_update(RyosconfigCapslockSelector *selector);

gchar *ryosconfig_capslock_selector_get_text_for_data(RyosconfigCapslockSelector *selector, RyosconfigKeyComboBoxData const *data);

G_END_DECLS

#endif
