#ifndef __RYOSCONFIG_CONFIGURATION_EDITOR_H__
#define __RYOSCONFIG_CONFIGURATION_EDITOR_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "ryos_config.h"
#include <gtk/gtk.h>

G_BEGIN_DECLS

#define RYOSCONFIG_CONFIGURATION_DIALOG_TYPE (ryosconfig_configuration_dialog_get_type())
#define RYOSCONFIG_CONFIGURATION_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOSCONFIG_CONFIGURATION_DIALOG_TYPE, RyosconfigConfigurationDialog))
#define IS_RYOSCONFIG_CONFIGURATION_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOSCONFIG_CONFIGURATION_DIALOG_TYPE))

typedef struct _RyosconfigConfigurationDialog RyosconfigConfigurationDialog;
typedef struct _RyosconfigConfigurationDialogPrivate RyosconfigConfigurationDialogPrivate;

struct _RyosconfigConfigurationDialog {
	GtkDialog dialog;
	RyosconfigConfigurationDialogPrivate *priv;
};

GType ryosconfig_configuration_dialog_get_type(void);
gboolean ryosconfig_configuration_dialog(GtkWindow *parent, RoccatKeyFile *config);
GtkWidget *ryosconfig_configuration_dialog_new(GtkWindow *parent);

void ryosconfig_configuration_dialog_get_configuration(RyosconfigConfigurationDialog *ryosconfig_configuration_dialog, RoccatKeyFile *config);
void ryosconfig_configuration_dialog_set_configuration(RyosconfigConfigurationDialog *ryosconfig_configuration_dialog, RoccatKeyFile *config);

gboolean ryosconfig_configuration_save(GtkWindow *parent, RoccatKeyFile *config);

G_END_DECLS

#endif
