#ifndef __RYOSCONFIG_KEY_BUTTON_H__
#define __RYOSCONFIG_KEY_BUTTON_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define RYOSCONFIG_KEY_BUTTON_TYPE (ryosconfig_key_button_get_type())
#define RYOSCONFIG_KEY_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOSCONFIG_KEY_BUTTON_TYPE, RyosconfigKeyButton))
#define IS_RYOSCONFIG_KEY_BUTTON(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOSCONFIG_KEY_BUTTON_TYPE))

typedef struct _RyosconfigKeyButton RyosconfigKeyButton;

GType ryosconfig_key_button_get_type(void);
GtkWidget *ryosconfig_key_button_new(guint hid_usage_id);
void ryosconfig_key_button_set_label(RyosconfigKeyButton *key_button, guint hid_usage_id);
void ryosconfig_key_button_set_light(RyosconfigKeyButton *key_button, gboolean state);

gchar *hid_to_beauty_keyname(guint8 hid);

G_END_DECLS

#endif
