#ifndef __RYOSCONFIG_STANDARD_SELECTOR_H__
#define __RYOSCONFIG_STANDARD_SELECTOR_H__

/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "ryosconfig_key_combo_box.h"

G_BEGIN_DECLS

#define RYOSCONFIG_STANDARD_SELECTOR_TYPE (ryosconfig_standard_selector_get_type())
#define RYOSCONFIG_STANDARD_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), RYOSCONFIG_STANDARD_SELECTOR_TYPE, RyosconfigStandardSelector))
#define IS_RYOSCONFIG_STANDARD_SELECTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), RYOSCONFIG_STANDARD_SELECTOR_TYPE))

typedef struct _RyosconfigStandardSelector RyosconfigStandardSelector;

GType ryosconfig_standard_selector_get_type(void);
GtkWidget *ryosconfig_standard_selector_new(RyosconfigKeyComboBoxData *standard_basepointer, RyosconfigKeyComboBoxData *easyshift_basepointer);

void ryosconfig_standard_selector_set_index(RyosconfigStandardSelector *selector, gint index, guint standard_mask, guint standard_standard, guint easyshift_mask, guint easyshift_standard);
gint ryosconfig_standard_selector_get_index(RyosconfigStandardSelector *selector);

void ryosconfig_standard_selector_update(RyosconfigStandardSelector *selector);

gchar *ryosconfig_standard_selector_get_text_for_data(RyosconfigStandardSelector *selector, RyosconfigKeyComboBoxData const *data);

G_END_DECLS

#endif
