/*
 * This file is part of roccat-tools.
 *
 * roccat-tools is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * roccat-tools is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with roccat-tools. If not, see <http://www.gnu.org/licenses/>.
 */

#include "savu.h"
#include <linux/hid.h>

static gchar const * const driver_name = "savu";
static guint const device_ids[2] = { USB_DEVICE_ID_ROCCAT_SAVU, 0 };

RoccatDevice *savu_device_first(void) {
	return roccat_device_first(driver_name, device_ids, USB_INTERFACE_PROTOCOL_MOUSE);
}

RoccatDeviceScanner *savu_device_scanner_new(void) {
	return roccat_device_scanner_new(driver_name, device_ids, USB_INTERFACE_PROTOCOL_MOUSE);
}
